## kmix 15.12.3

=== CMakeLists.txt ===
project(kmix)

# CMake build file for KMix. It supports both KDE4 and KF5.
# 
# KDE4 support: complete
# KF5 support is in work. A build will be triggered by adding "-DKMIX_KF5_BUILD=1" to the cmake call.
#       Status: Build fails on kmixdevicemanager.cpp , which does #include <solid/audiointerface.h>
#               Unfortunately Solid currently has no Audiointerface in KF5, thus it pulls the #include from
#               KDE4, which leads to error: ‘AudioInterface’ is not a member of ‘Solid::DeviceInterface’
#
# Next step: Talk to Alex Fiestas how to progress

if(POLICY CMP0046)
  cmake_policy (SET CMP0046 NEW)
endif()

# Your project should require at least CMake 2.8.12 to use FindKF5.cmake
if (KMIX_KF5_BUILD)
   cmake_minimum_required(VERSION 2.8.12)
   add_definitions( -DX_KMIX_KF5_BUILD )
   add_definitions( -DTRANSLATION_DOMAIN=\"kmix\" )
else ()
   cmake_minimum_required(VERSION 2.8.11)
endif()

if(POLICY CMP0046)
  cmake_policy (SET CMP0046 NEW)
endif()

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11") 

if (KMIX_KF5_BUILD)
	find_package(ECM 5.10.0 REQUIRED NO_MODULE)
	set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

	include(KDEInstallDirs)
	include(KDECMakeSettings)
	include(KDECompilerSettings)
	include(ECMPackageConfigHelpers)

	find_package(KF5 REQUIRED COMPONENTS
		GlobalAccel
		I18n
		XmlGui
		DBusAddons
		Plasma
		KDELibs4Support)
	find_package(KF5ConfigWidgets)
	find_package(KF5IconThemes)
else()
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})


# Do not yet REQUIRE Phonon. Hint: As long as we do not find_package(), ${KDE4_PHONON_LIBS} will be empty below, but that should not hurt.
#find_package(Phonon REQUIRED)

set(PA_VER "0.9.16")
if (KMIX_KF5_BUILD)
	find_package(PulseAudio "${PA_VER}")
else()
	macro_optional_find_package(PulseAudio "${PA_VER}")
	macro_log_feature(PULSEAUDIO_FOUND "PulseAudio" "PulseAudio Audio Server"
		"http://www.pulseaudio.org/" FALSE "${PA_VER}" "libpulse is needed to let KMix control PulseAudio")
endif()

find_package(GLIB2)

if (KMIX_KF5_BUILD)
	find_package(Canberra)
else()
	macro_optional_find_package(Canberra)
	macro_log_feature(CANBERRA_FOUND "libcanberra" "libcanberra audio library"
		"http://0pointer.de/lennart/projects/libcanberra/" FALSE "" "libcanberra is needed for kmix sound feedback")
endif()

find_package(Alsa)
if(ALSA_FOUND)
	alsa_configure_file(${CMAKE_BINARY_DIR}/config-alsa.h)
	add_definitions(-DHAVE_LIBASOUND2)
endif(ALSA_FOUND)

add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS} )
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=67100)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
if(MSVC)
    include_directories( ${TAGLIB_INCLUDES} )
endif(MSVC)


include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
    #include <memory>
    int main() { std::shared_ptr<int> p; return 0; }
" HAVE_STD_SHARED_PTR)
check_cxx_source_compiles("
    #include <tr1/memory>
    int main() { std::tr1::shared_ptr<int> p; return 0; }
" HAVE_STD_TR1_SHARED_PTR)


configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )


include_directories( ${GLIB2_INCLUDE_DIR} /usr/lib/oss/include)

if (KMIX_KF5_BUILD)
   # TODO Add warning about porting kde4_create_handbook
   message( WARNING, "Skipping doc directory due to missing kde4_create_handbook" )
else()  
  add_subdirectory( doc )
endif()

add_subdirectory( pics ) 
add_subdirectory( profiles ) 
#add_subdirectory( tests )

if (PULSEAUDIO_FOUND)
  add_definitions(-DHAVE_PULSE)

  include_directories(${PULSEAUDIO_INCLUDE_DIR})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)

  include_directories(${CANBERRA_INCLUDE_DIRS})
endif (CANBERRA_FOUND)

#if (KMIX_KF5_BUILD)
#   message( WARNING, "Skipping kmix_adaptor_SRCS due to missing qt4_add_dbus_adaptor  ... KMix will NOT compile until this is fixed!!!" )


####################################################################################################
########### definitions: DBUSADAPTOR ###############################################################
####################################################################################################
set(kmix_adaptor_SRCS
	dbus/dbusmixerwrapper.cpp
	dbus/dbusmixsetwrapper.cpp
	dbus/dbuscontrolwrapper.cpp)
if (KMIX_KF5_BUILD)
qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt5_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )
else()  
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )
endif()


####################################################################################################
########### definitions: backends ##################################################################
####################################################################################################
set(kmix_backend_SRCS
   backends/mixer_backend.cpp
   backends/mixer_mpris2.cpp
   )

if (HAVE_LIBASOUND2)
  set(kmix_backend_SRCS ${kmix_backend_SRCS}
      backends/mixer_alsa9.cpp )
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
  set(kmix_backend_SRCS ${kmix_backend_SRCS}
      backends/mixer_pulse.cpp )
endif (PULSEAUDIO_FOUND)



####################################################################################################
########### next target : kmix #####################################################################
####################################################################################################

if (NOT KMIX_KF5_BUILD)
	set( kmix_OSD_SRCS gui/osdwidget.cpp )
endif()

set(kmix_KDEINIT_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
   apps/main.cpp 
   apps/kmix.cpp 
   apps/KMixApp.cpp
   gui/kmixdockwidget.cpp 
   gui/kmixprefdlg.cpp 
   gui/viewbase.cpp 
   gui/viewdockareapopup.cpp 
   gui/viewsliders.cpp 
   gui/mixdevicewidget.cpp 
   gui/mdwmoveaction.cpp
   gui/mdwslider.cpp 
   gui/mdwenum.cpp 
   gui/kmixerwidget.cpp 
   gui/ksmallslider.cpp
   gui/verticaltext.cpp
   gui/volumeslider.cpp 
   gui/kmixtoolbox.cpp 
   gui/dialogaddview.cpp 
   gui/dialogviewconfiguration.cpp 
   gui/dialogselectmaster.cpp 
   gui/dialogchoosebackends.cpp 
   gui/guiprofile.cpp
   ${kmix_OSD_SRCS}
   core/MediaController.cpp
   core/mixertoolbox.cpp
   core/kmixdevicemanager.cpp
   core/ControlManager.cpp
#   core/ControlPool.cpp
   core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/mixer.cpp
   core/mixset.cpp
   core/mixdevice.cpp
   core/mixdevicecomposite.cpp
   core/volume.cpp
   )

if (KMIX_KF5_BUILD)
   kf5_add_kdeinit_executable( kmix ${kmix_KDEINIT_SRCS})
   target_link_libraries(kdeinit_kmix KF5::I18n KF5::ConfigCore KF5::ConfigGui KF5::ConfigWidgets KF5::IconThemes KF5::GlobalAccel KF5::KDELibs4Support Qt5::Core Qt5::Widgets Qt5::DBus Qt5::Xml)
else()
  kde4_add_kdeinit_executable( kmix ${kmix_KDEINIT_SRCS})
  target_link_libraries(kdeinit_kmix ${KDE4_SOLID_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})
endif()


if (HAVE_LIBASOUND2)
    target_link_libraries(kdeinit_kmix ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kdeinit_kmix ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kdeinit_kmix ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

install(TARGETS kdeinit_kmix  DESTINATION ${LIB_INSTALL_DIR} )

target_link_libraries( kmix kdeinit_kmix )
install(TARGETS kmix  ${INSTALL_TARGETS_DEFAULT_ARGS} )




####################################################################################################
########### next target : kmixd ####################################################################
####################################################################################################

 set(kded_kmixd_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
    apps/kmixd.cpp 
    core/ControlManager.cpp
#    core/ControlPool.cpp
    core/GlobalConfig.cpp
    core/MasterControl.cpp
    core/MediaController.cpp
    core/mixer.cpp 
    core/mixset.cpp 
    core/mixdevice.cpp 
    core/volume.cpp
    core/mixertoolbox.cpp 
    core/kmixdevicemanager.cpp
    )

#qt4_add_dbus_adaptor(kded_kmixd_SRCS org.kde.KMixD.xml kmixd.h Mixer) 

if (KMIX_KF5_BUILD)
  add_library(kded_kmixd ${kded_kmixd_SRCS})
else()
  kde4_add_plugin(kded_kmixd ${kded_kmixd_SRCS})
endif()


if (KMIX_KF5_BUILD)
	target_link_libraries(kded_kmixd 
		KF5::I18n
		KF5::ConfigCore
		KF5::ConfigGui
		KF5::Solid
		KF5::KDELibs4Support
		KF5::DBusAddons
		Qt5::Core
		Qt5::Widgets
		Qt5::DBus
		Qt5::Xml
		${KDEx_KDEUI_LIBS}
		${KDEx_PHONON_LIBS})
else()
	target_link_libraries(kded_kmixd ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})
endif()


if (HAVE_LIBASOUND2)
    target_link_libraries(kded_kmixd ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kded_kmixd ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kded_kmixd ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

install(TARGETS kded_kmixd DESTINATION ${PLUGIN_INSTALL_DIR})

#target_link_libraries( kmixd kded_kmixd )
#install(TARGETS kmixd DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kmixd.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kded )



####################################################################################################
########### next target : kmixctrl #################################################################
####################################################################################################

set(kmixctrl_KDEINIT_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
   apps/kmixctrl.cpp 
   core/ControlManager.cpp
#   core/ControlPool.cpp
   core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/MediaController.cpp
   core/mixer.cpp 
   core/mixset.cpp 
   core/mixdevice.cpp 
   core/volume.cpp 
   core/mixertoolbox.cpp 
   # There is no actual need for kmixdevicemanager.cpp (hotplug makes no sense in kmixctrl), but
   # the dependency comes in via mixertoolbox.cpp
   core/kmixdevicemanager.cpp
   )

# gui/guiprofile.cpp


if (KMIX_KF5_BUILD)
  KF5_ADD_KDEINIT_EXECUTABLE( kmixctrl ${kmixctrl_KDEINIT_SRCS})
  target_link_libraries(kdeinit_kmixctrl KF5::I18n KF5::ConfigCore KF5::KDELibs4Support Qt5::Core )
  #Qt5::DBus Qt5::Xml)
else()
  kde4_add_kdeinit_executable( kmixctrl ${kmixctrl_KDEINIT_SRCS})
  target_link_libraries(kdeinit_kmixctrl ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})
endif()

target_link_libraries(kdeinit_kmixctrl ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})

if (HAVE_LIBASOUND2)
    target_link_libraries(kdeinit_kmixctrl ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kdeinit_kmixctrl ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kdeinit_kmixctrl ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

########### next target ###############
add_subdirectory( plasma )



####################################################################################################
########### INSTALL RULES ##########################################################################

=== pics/CMakeLists.txt ===




########### install files ###############

install( FILES
    mixer-pcm.png
    mixer-lfe.png
    mixer-cd.png
    mixer-line.png
    mixer-microphone.png
    mixer-midi.png
    mixer-capture.png
    mixer-pcm-default.png
    mixer-front.png
    mixer-master.png
    mixer-surround.png
    mixer-video.png
    mixer-headset.png
    mixer-digital.png
    mixer-ac97.png
    kmixdocked.png
    kmixdocked_mute.png
    kmixdocked_error.png
    DESTINATION  ${DATA_INSTALL_DIR}/kmix/pics )

if (KMIX_KF5_BUILD)
include(ECMInstallIcons)
ecm_install_icons( ${ICON_INSTALL_DIR}   )
else()
kde4_install_icons( ${ICON_INSTALL_DIR}   )
endif()

=== debian/changelog ===
kmix (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:35:05 -0700

kmix (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merge with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:53:07 +0100

kmix (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:49 +0100

kmix (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).
  * Drop upstream patch: upstream_fix-kmixui.rc-install-location.diff

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:51 +0200

kmix (4:15.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (15.08.0).
  * Add upstream_fix-kmixui.rc-install-location.diff (from Ubuntu).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 04 Sep 2015 00:52:39 +0200

kmix (4:15.04.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.2).

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).
  * Explicitly build against KDE4.
  * Add myself to uploaders.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 24 Jul 2015 14:10:00 +0200

kmix (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:21:37 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmix.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKMIX_KF5_BUILD=0

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmix-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmix-([\d.]+).tar.xz

## kmix 16.04.3

=== debian/changelog ===
kmix (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:42:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14),
+               kdelibs5-dev (>= 4:4.14.22~),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libglib2.0-dev,
@@ -15,8 +15,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmix.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmix.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
 
 Package: kmix
 Section: sound

## kmix 16.08.0

=== profiles/CMakeLists.txt ===
install( FILES 
  OSS.default.xml 
  ALSA.default.xml 
  ALSA.playback.xml 
  ALSA.capture.xml 
  MPRIS2.default.xml
  PulseAudio.default.xml
  SUNAudio.default.xml
  ALSA.TerraTec_DMX6Fire.1.default.xml
	DESTINATION  ${DATA_INSTALL_DIR}/kmix/profiles )

=== debian/changelog ===
kmix (4:16.08.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:58:09 +0200

kmix (4:16.04.1-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Jurica Stanojkovic ]
  * Fix assertion fail error on mips.
    Thanks to Chris Lamb for the report and Jurica Stanojkovic for the patch
    (Closes: 799992)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 17:06:51 +0200

kmix (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Revert "Update build-deps and deps with the info from cmake"

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:05:08 +0200

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.10.0~),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5xmlgui-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12),
               plasma-framework-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmix.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

MIPS_BUILD = OFF
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64 mips64el))
  MIPS_BUILD = ON
endif
override_dh_auto_configure:
	$(overridden_command) -- -DKMIX_KF5_BUILD=0 -DWITH_MIPS_BUILD:BOOL=$(MIPS_BUILD)

## kmix 16.12.3

=== debian/changelog ===
kmix (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:41 +0000

kmix (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:44 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.30~),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 17.04.3

=== debian/changelog ===
kmix (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libglib2.0-dev,

## kmix 17.12.3

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/.. )

set(kmix_adaptor_SRCS)
qt4_add_dbus_adaptor( kmix_adaptor_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/../dbus/org.kde.KMix.Mixer.xml
	${CMAKE_CURRENT_SOURCE_DIR}/../dbus/dbusmixerwrapper.cpp DBusMixerWrapper)


########### next target ###############
set(profiletest_SRCS profiletest.cpp )


kde4_add_executable(profiletest ${profiletest_SRCS} 
    ${CMAKE_CURRENT_SOURCE_DIR}/../gui/guiprofile.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/MasterControl.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/mixer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/mixdevice.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/volume.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../backends/mixer_backend.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/mixset.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../core/kmixdevicemanager.cpp 
    ${kmix_adaptor_SRCS}
    )

target_link_libraries(profiletest  ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} )

if (HAVE_LIBASOUND2)
    target_link_libraries(profiletest ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(profiletest ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

=== debian/changelog ===
kmix (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:49 +0000

kmix (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Drop patches
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

  [ Clive Johnston ]
  * Port packaging to KF5

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:04 +0000

kmix (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:42 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKMIX_KF5_BUILD=0

## kmix 18.04.1

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,13 @@
     kmixdocked.png
     kmixdocked_mute.png
     kmixdocked_error.png
-    DESTINATION  ${DATA_INSTALL_DIR}/kmix/pics )
+    show-mixer.png
+    DESTINATION  ${KDE_INSTALL_DATADIR}/kmix/pics )
 
-if (KMIX_KF5_BUILD)
-include(ECMInstallIcons)
-ecm_install_icons( ${ICON_INSTALL_DIR}   )
-else()
-kde4_install_icons( ${ICON_INSTALL_DIR}   )
-endif()
+ecm_install_icons(ICONS
+    16-actions-kmix.png
+    32-actions-kmix.png
+    48-actions-kmix.png
+    64-actions-kmix.png
+    128-actions-kmix.png
+    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== debian/changelog ===
kmix (4:18.04.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:38:15 +0800

kmix (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:11:39 +0200

kmix (4:17.12.2-1) unstable; urgency=medium

  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874975)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, and kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5globalaccel-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, kinit-dev, libkf5notifications-dev,
      libkf5plasma-dev, libkf5solid-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Stop passing -DKMIX_KF5_BUILD=0 to cmake, as kmix is now only Qt5/KF5.
  * Break/replace against kde-l10n that ships translations.
  * Update the patches:
    - kmix_showeverywhere.diff: refresh
  * Remove symlinking of the desktop autostart, since they are now installed
    in the correct location.
  * Use https for Format in copyright.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:22:11 +0100

kmix (4:17.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Since it is still built as kdelibs 4.x, remove unused build dependencies:
    extra-cmake-modules, libkf5dbusaddons-dev, libkf5globalaccel-dev,
    libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5xmlgui-dev, and
    plasma-framework-dev.
  * Because of the above, use version 2 of class debian-qt-kde.mk.
  * Remove workaround for mips* architectures, as it should be not needed
    anymore (hopefully)
    - remove patch mips-no-as-needed-workaround.diff
  * Remove patch kubuntu_cmake-policy.diff, as its job is already done
    upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:26:41 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev (>= 5.14.0~),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.14.0~),
               libkf5configwidgets-dev (>= 5.14.0~),
               libkf5crash-dev (>= 5.14.0~),
               libkf5dbusaddons-dev (>= 5.14.0~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5globalaccel-dev (>= 5.14.0~),
               libkf5i18n-dev (>= 5.14.0~),
               libkf5iconthemes-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkf5plasma-dev (>= 5.14.0~),
               libkf5solid-dev (>= 5.14.0~),
               libkf5widgetsaddons-dev (>= 5.14.0~),
               libkf5windowsystem-dev (>= 5.14.0~),
               libkf5xmlgui-dev (>= 5.14.0~),
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 18.04.3

=== debian/changelog ===
kmix (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:08 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 18.12.3

=== debian/changelog ===
kmix (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:18 +0000

kmix (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:33 +0000

kmix (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:59 +0000

kmix (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Update lintian overrides.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:18 +0000

kmix (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - d/patches: update kmix_showeverywhere.diff
    - Update lintian-overrides
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Dec 2018 09:18:53 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev (>= 5.14.0~),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.14.0~),
               libkf5configwidgets-dev (>= 5.14.0~),
               libkf5crash-dev (>= 5.14.0~),
               libkf5dbusaddons-dev (>= 5.14.0~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5globalaccel-dev (>= 5.14.0~),
               libkf5i18n-dev (>= 5.14.0~),
               libkf5iconthemes-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkf5plasma-dev (>= 5.14.0~),
               libkf5solid-dev (>= 5.14.0~),
               libkf5widgetsaddons-dev (>= 5.14.0~),
               libkf5windowsystem-dev (>= 5.14.0~),
               libkf5xmlgui-dev (>= 5.14.0~),
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 19.04.3

=== debian/changelog ===
kmix (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:15:55 +0100

kmix (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:27 +0100

kmix (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:59:40 +0100

kmix (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:14 +0100

## kmix 19.08.2

=== debian/changelog ===
kmix (4:19.08.2-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * use signature for upstream tarball.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.7.0
    - bump the KF packages to 5.41.0
    - remove kinit-dev
    - explicitly add gettext, and pkg-config
  * Update the patches:
    - kmix_showeverywhere.diff: refresh
  * Update lintian overrides.
  * Drop the old kdemultimedia-dev breaks/replaces, older than oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Oct 2019 10:06:47 +0200

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.41.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev (>= 5.41.0~),
               libkf5config-dev (>= 5.41.0~),
               libkf5configwidgets-dev (>= 5.41.0~),
               libkf5crash-dev (>= 5.41.0~),
               libkf5dbusaddons-dev (>= 5.41.0~),
               libkf5doctools-dev (>= 5.41.0~),
               libkf5globalaccel-dev (>= 5.41.0~),
               libkf5i18n-dev (>= 5.41.0~),
               libkf5iconthemes-dev (>= 5.41.0~),
               libkf5notifications-dev (>= 5.41.0~),
               libkf5plasma-dev (>= 5.41.0~),
               libkf5solid-dev (>= 5.41.0~),
               libkf5widgetsaddons-dev (>= 5.41.0~),
               libkf5windowsystem-dev (>= 5.41.0~),
               libkf5xmlgui-dev (>= 5.41.0~),
               libpulse-dev (>= 0.9.16),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.
